<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports Service Product Changes.
 *
 * @package    Service
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Service_Change extends ORM_OSB {
	protected $_table_name = 'service_change';

	// Relationships
	protected $_belongs_to = array(
		'product'=>array(),
		'service'=>array(),
	);

	/**
	 * Filters used to format the display of values into friendlier values
	 */
	protected $_display_filters = array(
		'date_ordered'=>array(
			array('Config::date',array(':value')),
		),
		'date_effective'=>array(
			array('Config::date',array(':value')),
		),
	);

	public function list_details() {
		if ($this->_db_pending) {
			$output = array();

			foreach ($this->find_all() as $sco) {
				array_push($output,sprintf('%s %s',$sco->product->title(),$sco->display('date_effective'))); 
			}

		} else {
			throw new Kohana_Exception('Shouldnt be here!');
		}

		return join('|',$output);
	}
}
?>
